%define upstream_name    Data-Section
%define upstream_version 0.200008

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    read multiple hunks of data out of your DATA section
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(MRO::Compat) >= 0.90.0
BuildRequires: perl(Sub::Exporter) >= 0.979.0
BuildRequires: perl(Test::FailWarnings)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Data::Section provides an easy way to access multiple named chunks of
line-oriented data in your module's DATA section. It was written to allow
modules to store their own templates, but probably has other uses.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Jan 02 2023 tv <tv> 0.200.8-1.mga9
+ Revision: 1928977
- update to 0.200008

* Sun Mar 20 2022 umeabot <umeabot> 0.200.7-4.mga9
+ Revision: 1808708
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.200.7-3.mga8
+ Revision: 1503722
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.200.7-2.mga7
+ Revision: 1282634
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 0.200.7-1.mga7
+ Revision: 1128459
- update to 0.200007

* Sat Jun 18 2016 pterjan <pterjan> 0.200.6-5.mga6
+ Revision: 1024836
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.200.6-4.mga6
+ Revision: 946599
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.200.6-3.mga5
+ Revision: 744122
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.200.6-2.mga5
+ Revision: 684234
- Mageia 5 Mass Rebuild

* Fri Mar 14 2014 jquelin <jquelin> 0.200.6-1.mga5
+ Revision: 603712
- update to 0.200006

* Tue Feb 04 2014 shlomif <shlomif> 0.200.5-1.mga5
+ Revision: 581523
- update to 0.200005

* Sat Oct 19 2013 umeabot <umeabot> 0.101.622-2.mga4
+ Revision: 528650
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 0.101.622-1.mga4
+ Revision: 446889
- update to 0.101622

* Sun Jan 13 2013 umeabot <umeabot> 0.101.621-2.mga3
+ Revision: 365428
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.101.621-1.mga2
+ Revision: 106583
- update to 0.101621

* Thu Jan 20 2011 jquelin <jquelin> 0.101.620-1.mga1
+ Revision: 26076
- mageia rebuild
- imported package perl-Data-Section

